#1903 closed defect (fixed)

posix timing tests: psxtmmq01

Reported by: el.mastin2 Owned by: Jennifer Averett
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: joel.sherrill@… Blocked By:
Blocking:

Description

Contains these message queue tests:

+ mq_close (close of first)
+ mq_close (close of second)
+ mq_notify
+ mq_open (first open)
+ mq_open (second open)
+ mq_receive - available
+ mq_send - no threads waiting
+ mq_timedreceive - available
+ mq_timedsend - no threads waiting
+ mq_unlink

The output (--target=sparc-rtems4.11 --enable-rtemsbsp=sis) is:

* POSIX TIME TEST PSXTMMQ01 *
mq_open (first open) 127
mq_send - no threads waiting 59
mq_open (second open) 53
mq_receive - available 56
mq_unlink 61
mq_timedsend - no threads waiting 73
mq_timedreceive - available 69
mq_notify 28
mq_close (close of second) 36
mq_close (close of first) 36
* END OF POSIX TIME TEST PSXTMMQ01 *

Attachments (1)

psxtmmq01.tar (60.0 KB) - added by el.mastin2 on Aug 23, 2011 at 10:32:32 PM.
posix timing mq tests: mq_open, mq_send, mq_receive, mq_unlink, mq_timedsend, mq_timedreceive, mq_notify, mq_close

Download all attachments as: .zip

Change History (5)

Changed on Aug 23, 2011 at 10:32:32 PM by el.mastin2

Attachment: psxtmmq01.tar added

posix timing mq tests: mq_open, mq_send, mq_receive, mq_unlink, mq_timedsend, mq_timedreceive, mq_notify, mq_close

comment:1 Changed on Aug 23, 2011 at 10:33:18 PM by el.mastin2

Owner: changed from Joel Sherrill to Jennifer Averett

comment:2 Changed on Aug 24, 2011 at 8:16:07 PM by Joel Sherrill

Resolution: fixed
Status: newclosed, joel.sherrill@oarcorp.com

Committed. Thanks.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:4 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.